
Robotics Service Bus - Bug #399
Allow to "catch" absence of spread-daemon
06/30/2011 01:55 PM - M. Rolf

Status: Resolved Start date: 06/30/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version: 0.4
Description

Trying to create Listeners without active spread-daemon aborts program.
The attached example program fails with:

1309434238241 rsb.spread.SpreadConnection [FATAL]: spread connect error: connection to spread daemon failed due to
socket errors
SP_error: (-2) Could not connect. Is Spread running?
terminate called after throwing an instance of 'rsc::misc::IllegalStateException'
  what():  Connection with id c4872aa2-500b-4e46-b0c4-e69b7c733cdd is not active.
Aborted

Strange things happen in memory as well (see memcheck.log and helgrind.log)

Associated revisions
Revision 597a9de2 - 06/30/2011 03:11 PM - J. Moringen
Do not deactivate things which aren't active in Spread transport
fixes #399 (reported by Matthias Rolf)
    -  src/rsb/transport/spread/InConnector.cpp: when deactivating, do not

  try to interrupt connection in receive loop if it is not connected;
  do not wait for the receiver task if the connection is not connected

    -  src/rsb/transport/spread/SpreadConnector.cpp: when deactivating, do
  not deactivate the Spread connection unless it really is active

History
#1 - 06/30/2011 02:33 PM - J. Moringen
- Description updated
- Assignee set to J. Moringen
- Target version set to rsb-0.10

#2 - 06/30/2011 03:11 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1909.

#3 - 07/25/2011 06:14 PM - S. Wrede
- Target version changed from rsb-0.10 to 0.4
Files
Test.cpp 574 Bytes 06/30/2011 M. Rolf
memcheck.log 8.08 KB 06/30/2011 M. Rolf
helgrind.log 2 KB 06/30/2011 M. Rolf
